package com.bocloud.cmp.model;

import java.util.List;

import lombok.Data;

@Data
public class HostOperateModel {
	private String uuid;
	private String name;
	private Long vdcId;
	private String vdcName;
	private Long clusterId;
	private String clusterName;
	private Long hostId;
	private String hostName;
	private Long vendorId;
	private String hostIp; // 主机IP
	private String privateIp; // 私有IP
	private String publicIp; // 公有IP
	private List<String> getewayIps; // 网关IP
	private Integer port; // 端口
	private String username; // 用户名
	private String password; // 密码
	private String sslThumbprint;// SSL证书指纹
	private List<String> hosts;
	private Long hmcId;
	private String hmcUuid;
	private String jenkinsUrl;
	private String saltMasterUrl;
	private String targetServers;
	private String host;
	private String hostType;
	private List<String> roles;
	private boolean forceDelete = false;

}
