package com.bocloud.cmp.model;

import com.bocloud.common.enums.ResourceCategory;
import lombok.Data;

import java.util.List;

/**
 * @ClassName: ServerLabelParam.java
 * @Description: 标签接收参数
 * @author: ymh
 * @date: 2021年4月21日 下午5:49:33
 */
@Data
public class ServerLabelParam {

    private Long targetId;
    private List<Long> targetIds;
    private Long vendorId;
    private ResourceCategory type;
    private String resourceLabel;

}
