package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 快照接口参数接收
 * 
 * @ClassName: VmGenericParam.java
 * @Description:
 *
 * @author: ymh
 * @date: 2021年4月14日 上午10:19:06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SnapshotGenericParam implements Serializable {

	private static final long serialVersionUID = 1L;

	// 资源ID
	private Long id;
	private Long resId;
	private Integer months;
	// 操作类
	private String action;
	private ServerModel serverModel;
	private VolumeModel volumeModel;

	// 深信服快照恢复
	private Boolean needCreateSnap; // 恢复前自动创建快照
	private Boolean autoStartvm;    // 回复完成后自动开启虚拟机

}
