package com.bocloud.cmp.model;

import lombok.Data;

@Data
public class VolBean {
    private Long id;
    private String name;
    private String remark;
    private Boolean multiattach; // 是否为共享盘
    private Integer size; // 大小
    private Double doubleSize; // 华为存储存储卷支持两位小数
    private Long performancePriority; // 卷性能优先级
    private Boolean qosEnabled; // 卷是否设置业务 QoS
    private String qos;// 卷qos设置的参数
    private Double capacity; // 大小，用来支持小数输入

    private String mountpoint;
    private String action; // 操作
    private Long serverId;
    private Integer newSize;
    private String type;

    private Boolean deleteWithInstance;

    private Integer iops;

    //fc 新增字段
    private String pciType;//磁盘挂载的总线类型，当前版本为：“IDE”，“SCSI”和“VIRTIO”
    private Integer sequenceNum;//磁盘对应的总线槽位编号。
    private String ioMode;//磁盘IO模式，
    private Integer accessMode;//磁盘访问权限，可选，取值范围为0 ,  1。默认值为0。
    //fc 新增字段
}
