package com.bocloud.cmp.model.fusionsphere;

import lombok.Data;

/**
 * @ClassName: HostPortModel
 * @Description:服务器网口
 * @author: zhenpingLi/李振平
 * @date: 2021/11/2 11:57
 */
@Data
public class HostPortModel {
    private String portUuid;
    private String uri;
    private Integer flag;
    private String name;
    private String isUsed;//是否被使用
    private String bindStatus;//是否绑定
    private String status;//实际物理端口聚合状态信息
    private Integer speed;//物理网口速率单位为M
    private String strategy;//汇聚策略
    private Integer nicUid;//网卡标识
    private String nicName;//网卡名称
    private String nicType;//网卡类型
    private String nicMode;//使用的交换类型
    private Integer systemIntfNum;//port关联的systemIntf数量
    private String dvsName;//网口关联dvs的名称。
    private String dvsUuid;//网口关联dvs的urn。
    private Integer nicSpeed;//网口规格速率
    private String driverMode;//网口驱动模式
    private Integer numaNode;//如果port flag是0：Uplinkport，则此处返回网口所属的numaNode值，否则返回-1，表示不涉及。

    private String parentUuid;
}