package com.bocloud.cmp.model.sangfor;

import lombok.Data;

/**
 * 连接的物理网口信息
 */
@Data
public class SangforBridgeInfoModel {

    private String address;
    private String hostid;
    private String hostname;
    private Integer hoststatus;
    private String id;
//    private List iface_list;
    private Integer in_bps;
    private Integer in_pps;
    private String local_vlink_name;
    private String name;
    private Integer out_bps;
    private Integer out_pps;
    private Integer bridgeStatus; // 1：已连接网线 2：未连接网线
    private String type;   // “phy-if”表示单网口“channel-if”表示聚合网口
    private Boolean up;   // “phy-if”表示单网口“channel-if”表示聚合网口

}
