package com.bocloud.cmp.model.sangfor;

import lombok.Data;

@Data
public class SangforDiskModel {
    private Integer size_mb;
    private Integer is_old_disk;
    private String preallocate;     //磁盘分配模式
    private Integer eagerly_scrub;      //是否立即置零
    private String id;      //磁盘ID
    private String type;        //磁盘类型
    private String storage_file;    //存储路径
    private String storage_id;      //存储ID，当type=physical_disk需要传入此参数
    private String backing_file;    //后端镜像
    private String copy;        //已有磁盘路径
    private String cache;   //缓存模式
    private Integer cache_size;     //缓存大小
    private String forecast;        //是否开启缓存Enum(‘enable’, ‘disable’)
    private Integer use_virtio;     //是否使用virtio磁盘，[0, 1]
    private String storage_policy;      //存储策略ID
}
