package com.bocloud.cmp.model.sangfor;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.List;

@Data
public class SangforScpInfacesModel {
    private String id;          // id
    private String name;        // name
    private String communicationPort;
    private String node_id;
    private String node_name;   // 主机名称
    private String node_status;
    private Integer channel_protection;
    private JSONArray members;     // 管理通信口成员
    private String ip;          // 管理通信IP
    private String gateway;     // 网关
    private String netmask;     // 掩码
    private String driver_type; // 驱动类型
    private String speed;       // 网口速率
    private String mtu;         // mtu
    private String bdrSwitch;   // 物理出口
    private JSONArray data;

    private JSONArray role;
    private String type;
    private String mac;
    private String mode;
    private Integer rate;
    private Boolean enable;
    private JSONArray alias;
    private JSONArray vxlan;
    private String supported_link_modes;
    private Integer link_mode;
    private Boolean vs_used;
    private String support_speed;
    private String iface_mode;
    private Integer disaster_role;
    private String description;
    private Boolean status;
    private JSONArray primary;
    private Long negotiation;
    private String duplex;

    private String sriov_support;

    private List subdata;
    private Integer customId;

    private List<SangforCommunicationModel> communication_interface;
    private JSONObject bond;
}
