package com.bocloud.cmp.model.sangfor;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class SangforSnapshotModel {
    private String trigger;
    private String parent;
    private String snap_type;
    private String status;
    private Integer create_time;
    private String name;
    private String snap_id;
    private Boolean powerstatus;
    private String disks;
    private String group_id;
    private String desc;
    private String snap_object;
    private Boolean is_protected;

    @JSONField(name = "id")
    private String idV68;
    private String description;
    @JSONField(name = "parent_id")
    private String parentId;
    @JSONField(name = "created_at")
    private String createdAt;

    /**
     * 快照类型
     * <p>
     * 取值: vs,qcow2。和sangfor6.3的snap_type字段含义相同。
     * </p>
     */
    private String type;

}
