package com.bocloud.cmp.model.sangfor;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

import java.util.List;

/**
 * 虚拟网络设备
 */
@Data
public class SangforVirtualNetworkDeviceModel {
    private JSONArray data;
    private String device_num;
    private String id;
    private String name;
    private String owner;
    private String path;
    private String type;

    private List<SangforBVSModel> bvsModels;// 物理出口
    private List<SangforDVSModel> dvsModels;// 分布式交换机
    private List<SangforVRouterModel> vRouterModels;// 虚拟路由器
    private List<SangforNFVModel> nfvModels;// nfv

    private List<SangforBVSInfoModel> bvsInfoModels;

}
