package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class BucketModel {
	private String name; // 名称
	private String actualName;
	private Double space;// 空间
	private String region;
	private String regionId;
	private String acl;
	private String props;
	private String bucketAcl;
	// 对象用户信息
	private Long userId;
	private Long objectUserUuid;
	private String objectUserName;
	private Date createTime;
	private Long bucketUuid;
	private Long quotaMaxObjects;
	private Long quotaMaxSize;
	private String actionStatus;
	private Long nfsClientNum;
	private String ownerPermission;
	private Long shards;
	private String status;
	private Boolean virtual;
	private Long allocatedObjects;
	private Long allocatedSize;
	private Boolean worm; // 写保护
	private Boolean versioned; // 多版本
	private List<BucketObjectModel> bucketObjectModels;

	// aliyun
	private String storageClass; // 支持Standard、IA、Archive和ColdArchive四种存储类型。
	private String location; // Bucket所在的数据中心。
	private String extranetEndpoint; // Bucket访问的外网域名。
	private String intranetEndpoint;// 同区域ECS访问Bucket的内网域名。
}
