package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

import lombok.Data;

@Data
public class BucketObjectModel {
	private String name; // 名称
	private Long size; // 大小
	private String key;
	private Long bucketUuid; // 容器的id
	private String bucketName; // 容器名称
	private String filepath;
	private String acl;
	private Boolean isDirectory;
	private String value;
	private List<String> keys;
	private Integer objectIndex;
	private String parentKey;
	private String type;
	private String absolutePath;
	private Date lastModified;
	private String bucketObjectTag;
	private String fileType;
	private String objectAcl;

	private String storageClass;

}
