package com.bocloud.cmp.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Data;

/**
 * 集群业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.12.28
 */
@Data
public class ClusterBean {
    private Long id;
    private String uuid;
    private Long vendorId; // 云供应商ID
    private Date gmtExpired;// 过期时间
    private Long cpuTotal;
    private Long memTotal;
    private Long diskTotal;
    private Long cpuUsed;
    private Long memUsed;
    private Long diskUsed;
    private Long vdcId;
    private String category;
    private String name; // 名称
    private String remark; // 描述
    private Long regionId;// 域
    private Long cpuExcessRatio;// CPU超分比
    private BigDecimal cpuDistributableRatio;// CPU可分配百分比
    private BigDecimal memDistributableRatio;// 内存可分配百分比
    private String initialPolicy; // 布置策略
    private List<String> hostNames;
    private String clusterName;
    private List<Long> serverIds;
    private String vendorType;
    private List<Long> hosts;
    private String vdcName;

}
