package com.bocloud.cmp.model;

import com.bocloud.cmp.model.sangfor.*;
import com.bocloud.cmp.params.Sangfor.*;
import lombok.Data;

import java.util.List;

@Data
public class SangforModel {
    private List<SangForServerGroupModel> serverGroupModels;
    private List<SangforHostModel> hostModels;
    private List<SangforServerModel> serverModels;
    private SangforVolumeModel volumeModels;
    private List<SangforVirtualNetworkDeviceModel> virtualNetworkDeviceModels;
    private List<SangforIfacesModel> ifacesModels;
    private List<SangforFirewallRuleModel> firewallModels;
    private List<SangforHostParams> scpHostModels;
    private List<SangforStorageParams> storageModels;
    private List<SangforInterfacesParams> interfacesModels;
    private List<SangforStorageParams> storageParamsModels;
    private List<SangforInterfacesParams> communicationModels;
    private List<SangforScpNetWorkParams> scpNetWorkParams;
    private List<SangforVlanGroupParams> vlanGroupParams;
    private List<SangforPhyIfParams> phyIfParamsModel;
    private List<SangforFireWallParams> firewallRuleModels;
    private List<SangforAzParams> azModels;
    private List<SangforProjectsParams> projectsParamsList;
    private List<SangforImage> scpImageModels;
}
