package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * vcenter平台任务
 *
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/4/17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TaskMsgModel {

    public String uuid;
    public String targetUuid;
    public String targetType;
    public String targetName;
    public String key;
    public String description;
    public String name;
    public String descriptionId;
    public String entityName;
    public String locked;
    public String state;
    public Boolean cancelled;
    public Boolean cancelable;
    public String error;
    public String result;
    public Integer progress;
    public String reason;
    public Date queueTime;
    public Date startTime;
    public Date completeTime;
    public Integer eventChainId;
    public String changeTag;
    public String parentTaskKey;
    public String rootTaskKey;
    public String activationId;
    public Long waitTime;
    public String timeInExecution;
    public String initiator;
    public String details;
    public String messageEnUS;
    public String messageZhCN;
    public String detailEnUS;
    public String detailZhCN;
    public String errorCode;
    public String errorMessage;
    public String resources;
    public String resourceGroup;
    public List<TaskMsgModel> subTasks;
}
