package com.bocloud.cmp.model;

import lombok.Data;

import java.util.List;

/**
 * @ClassName: VolcengineSyncModel
 * @Description: 火山云数据同步
 * @Author lxy
 * @Date 2021/9/15 10:17
 */
@Data
public class VolcengineSyncModel {
    private List<RegionModel> regions; //可用区
    private List<ImageModel> imageModels; //镜像
    private List<FlavorModel> flavorModels; //规格
    private List<VpcModel> vpcModels; //vpc+subnet
    private List<SecurityGroupModel> secgModels; //安全组+规则
    private List<VolumeModel> volumeModels; //云硬盘
    private List<ServerModel> serverModels; //云主机
    private List<KeypairModel> keypairModels; //秘钥
    private List<ElasticIpModel> elasticIpModels; //公网ip
    private List<NetworkCardModel> networkCardModels; //网卡
    private List<RouteTableModel> routeTableModels; // 路由表
    private List<LbModel> lbModels; // 负载均衡实例
    private List<LbListenerModel> lbListenerModels; //监听器
    private List<LbPoolModel> lbPoolModels; //后端服务器组
    private List<LbMemberModel> lbMemberModels; // 后端服务器组内服务器
}
