package com.bocloud.cmp.model.azure.network;

import com.bocloud.cmp.model.RouterModel;
import lombok.Data;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterTableModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/12/31 14:29
 */
@Data
public class RouterTableModel {

    private String uuid;
    private String name;
    private String resourceGroupName;//资源组名称
    private String regionId;//地域
    private Boolean routePropagation; //传播网关路由
    private List<RouterModel> routerModels;//路由表
    private String tags;

}