package com.bocloud.cmp.model.azure.tags;

import lombok.Data;

import java.util.Map;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: TagsModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/6/7 18:14
 */
@Data
public class TagModel {

    private String resourceUuid;
    private String resourceName;
    private String resourceGroupName;
    private Map<String, String> tagMap;

    //service层处理专用
    private Long vendorId;
    private String regionId;
    private String action;

    public TagModel() {
    }

    public TagModel(String resourceUuid, String resourceName, String resourceGroupName, Map<String, String> tagMap) {
        this.resourceUuid = resourceUuid;
        this.resourceName = resourceName;
        this.resourceGroupName = resourceGroupName;
        this.tagMap = tagMap;
    }
}