package com.bocloud.cmp.model.fusionsphere;

import lombok.Data;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: OsVersionModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/11/3 11:25
 */
@Data
public class FusionSphereOsVersionModel {

    private String osVersionUuid;
    private String versionDes;
    private String osType;
    private Integer osBit;
    private Integer cpuQuantityLimit;
    private Integer cpuSocketLimit;
    private Integer memQuantityLimit;
    private Boolean supportCpuHotPlug;
    private Boolean supportMemHotPlug;
    private Boolean supportHibernateAndWakeup;
    private Boolean supportUefiFirmware;
    private Boolean supportDiskHotPlug;
    private Boolean supportDiskHotUnPlug;
    private Boolean supportNicHotPlug;
    private Boolean supportNicHotUnplug;
    private Boolean supportMigrate;
    private Boolean supportHostAndStorageMigrate;
    private Boolean supportFreeClock;
    private Boolean supportMemorySnapshot;
    private Boolean supportStorageSnapshot;
    private Boolean supportVss;
    private Boolean supportUsbPassThrough;
    private Boolean supportSriov;
    private Boolean supportDiskExpand;
    private Boolean supportDiskShrink;
    private Boolean supportUpgrade;
    private Boolean supportSsd;
    private Boolean gpuPassThroughSupported;
    private Boolean gpuVirtualizationSupported;
    private Boolean supportIb;
    private Boolean supportGuestNuma;
    private Boolean supportVirtioBlk;
    private Boolean supportVirtioScsi;
    private String floppyFile;
    private Integer defaultMemoryQuantity;
    private Integer defaultCpuQuantity;
    private Integer defaultSysVolQuantity;

    private String vdcUri;
    private String arch;

}