package com.bocloud.cmp.model.sangfor;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class SangforAdvanceParam {
    private String cpu_type;        //CPU类型，见 云主机CPU类型
    private Integer onboot;        //物理主机启动时是否自动运行云主机 [0, 1]
    private Integer use_uuid;        //是否启用UUID [0, 1]
    private String uuid;        //UUID
    private Integer regen_uuid;        //是否重新生成UUID [0, 1]
    private Integer abnormal_recovery;        //异常时是否重启 [0, 1]
    private Integer hugepage_memory;        //是否使用大页内存 [0, 1]
    private Integer balloon_memory;        //是否启用内存回收机制 [0, 1]
    private Integer schedopt;        //是否重要虚拟机 [0, 1]
    private Integer cpu_hotplug;        //是否启用CPU热添加 [0, 1]
    private Integer mem_hotplug;        //是否启用内存热添加 [0, 1]
    private String boot_order;        //引导顺序，c表示cdrom，d表示diskEnum(‘cd’,’dc’,’c’,’d’)
    private String boot_disk;        //启动磁盘
    private String dir;        //HCI分组
    private Integer use_vblk;        //是否启用vblk [0, 1]
    private Integer real_use_vblk;        //是否真正使用vblk [0, 1]
    private String storage_policy;        //存储策略
    private Integer invtsc;        //是否开启高性能时钟(仅关机状态可编辑) [0, 1], 注:ref:SCP6.7.35及以上版本支持

    /**
     * 是否需要返回克隆出来的云主机ID列表，可选值[0,1]
     */
    @JSONField(name = "return_uuids")
    private Integer returnUuids = 1;
}
