package com.bocloud.cmp.model.sangfor;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class SangforNetwork {
    private Integer connect;        //是否连接 [0, 1]
    private String device_id;        //经典网络连接的网络设备id
    private String model;        //网卡类型，见 云主机网卡类型
    private String mac_address;        //MAC地址，不传可自动生成
    private String vif_id;        //网络ID(net0, net1, net2, … netn)
    private String port_id;        //端口，连接经典网络设备，当前固定为12345678
    private Integer host_tso;        //是否启用TSO [0, 1]
    private String name;        //连接的网口名称
    private String vpc_id;        //连接的租户VPC网络ID，可从 查询 VPC 列表 获取
    private String subnet_id;        //连接的VPC子网ID
    private SangforNetworkIpInfo ip_info;        //IP地址信息，参见 networks-ip_info 参数说明
    private String custom_gateway_ip;        //自定义网关IP

    @JSONField(name = "ip_address")
    private String ipAddress;
}
