package com.bocloud.cmp.model.sangfor;

import lombok.Data;

/**
 * 虚拟机配置信息model
 */
@Data
public class SangforServerConfigModel {
    private Boolean abnormal_recovery;
    private Boolean balloon_memory;
    private String boot;
    private String bootdisk;
    private String cfgstorage;
    private Integer cfgstorageats;// -1表示未知，0表示不支持，1表示支持
    private String cfgstoragelvtype;
    private String cfgstoragename;
    private String cfgstoragenfstype;
    private Boolean cfgstorageshared;// 是否为共享存储
    private Integer cores;
    private String cpu;
    private String ctrl;
    private String digest;
    private String dir;
    private Boolean disable_ple;    // 禁止CPU PLE开关
    private Boolean file_filter;    // 备份过滤页面文件开关
    private String graphic_type;
    private Boolean ha_enable;      // 是否开启HA
    private String host;
    private Integer hotplug;
    //热添加配置
    //0 - 禁止热添加
    //1 - 开启CPU热添加
    //2 - 开启内存热添加
    //3 - 开启CPU和内存热添加
    private Boolean hugepage;
    private String ide0;
    private String ide2;
    private Boolean if_numa_on;
    private Boolean lifespan;
    private String location;
    private Integer logo;
    private Integer memory; // 单位MB
    private String mouse_type;
    private String name;
    private String net0;
    private Boolean no_kvm_clock;
    private Boolean numa;
    private Boolean onboot;
    private Boolean os_installed;
    private String ostype;
    private String real_use_vblk;
    private String real_use_vchannel;
    private String real_use_vnet;
    private Boolean schedopt;
    private Integer sockets;
    private Integer splash_time;
    private Long template;
    private Boolean uefi_bios;
    private Boolean use_default_cachemode;
    private Boolean use_uuid;
    private String use_vblk;
    private String use_vnet;
    private Boolean vtool_installed;
}
