package com.bocloud.cmp.params.Sangfor;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.cmp.model.sangfor.SangforCommunicationModel;
import lombok.Data;

import java.util.List;

@Data
public class SangforInterfacesParams {
    private String uuid;          // id
    private String name;        // name
    private String communicationPort;
    private String nodeId;
    private String nodeName;   // 主机名称
    private String node_id;
    private String node_name;
    private Boolean node_status;
    private Integer channel_protection;
    private String nodeMembers;     // 管理通信口成员
    private String ip;          // 管理通信IP
    private String gateway;     // 网关
    private String netmask;     // 掩码
    private String driverType; // 驱动类型
    private String speed;       // 网口速率
    private String mtu;         // mtu
    private String bdr_switch;   // 物理出口
    private JSONArray data;

    private JSONArray role;
    private String type;
    private String mac;
    private String mode;
    private Integer rate;
    private Boolean enable;
    private JSONArray alias;
    private JSONArray vxlan;
    private String supportedLinkModes;
    private Integer linkMode;
    private Boolean vsUsed;
    private String supportSpeed;
    private String iface_mode;
    private Integer disaster_role;
    private String description;
    private Boolean status;
    private String primarys;
    private String ifaces;


    private String sriovSupport;

    private String subdatas;
    private Long customId;


    private String host_alias;
    private String host_ip;
    private List interface_list;
    private String member;
}
