package com.bocloud.cmp.params.Sangfor;

import lombok.Data;

@Data
public class SangforStorageParams {
    private String host;
    private Integer hosts;
    private String lvtype;	// local fc nfs scsi
    private String alertsize;
    private Integer maxread;
    private String status;
    private String operationalStatus;
    private String name;
    private Long total;
    private Boolean shared;
    private Boolean ats;
    private Long free;
    private Integer maxwrite;
    private String nfstype;	// 区分普通nfs与vsnfs 取值：”nfs”、”vsnfs”
    private String type;

    // v6.8字段
    private String uuid;
    private Long  onlineStatus;
    private String ssdRemainingLife;
    private String isSangforSystemDisk;

    private String storageTagId;
    private String storageTagName;
    private String storageLabel;
    private String clusterId;
    private String clusterName;
    private String clusterType;
    private String azId;
    private Long target;
    private Long totalMb;
    private Long usedMb;
    private String ratio;
    private String sangforType;
    private String guid;
    private Long freeSpace;
    private Integer hostNum;
    private Long capacity;
    private Integer ioRead;
    private Integer ioWrite;
    private String version;
}
