package com.bocloud.cmp.provider.loadbalance;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.AccessControlModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

/**
 * @author lyy
 * @version 1.0
 * @date 2021/1/14 9:22
 */
public interface AccessControlProvider extends SuperProvider {

    default BocloudResult list() {
        return null;
    }

    default BocloudResult create(AccessControlModel acl) {
        return null;
    }

    default BocloudResult update(AccessControlModel acl) {
        return null;
    }

    default BocloudResult remove(String aclId) {
        return null;
    }

    default BocloudResult detail(String aclId) {
        return null;
    }

    //火山云
    default BocloudResult addAclEntries(String aclId, List<JSONObject> aclEntries) {
        return null;
    }

    //火山云
    default BocloudResult removeAclEntries(String aclId, List<String> alcIps) {
        return null;
    }
}
