package com.bocloud.cmp.provider.veeam.mgr;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.veeam.MGRRestorePointDetailModel;
import com.bocloud.nms.model.veeam.MGRRestorePointModel;
import com.bocloud.nms.model.veeam.TaskModel;

import java.util.List;

public interface MGRRestorePointProvider extends SuperProvider {

    public BocloudResult<TaskModel> restore(String id, Boolean powerOnAfterRestore, Boolean keepOriginalVm);

    public BocloudResult<List<MGRRestorePointModel>> listAll();

    public BocloudResult<MGRRestorePointDetailModel> listById(String uuid);
}
